//page
export class pages {
	constructor(that) {
		this.page = that
	}
	取组件变量() {
		return this.page.data
	}
	置组件变量(data, callback) {
		this.page.setData(data, callback)
	}
	取全局子程序() {
		return getApp()
	}
	事件对象转换(Event) {
		var i = {
			类型: Event.type,
			时间戳: Event.timeStamp,
			事件源组件: {
				id: Event.target.id,
				自定义: Event.target.dataset
			},
			绑定组件: {
				id: Event.currentTarget.id,
				自定义: Event.currentTarget.dataset
			},
			消息: Event.detail,
			停留点: Event.touches,
			移动点: Event.changedTouches
		}
		return i
	}
}
//调试
export class 调试 {
	static 输出(...i) {
			console.log(...i);
	}
}